|
Archive_Tar::addModify |
core/modules/system/system.tar.inc |
This method add the files / directories listed in $p_filelist at the
end of the existing archive. If the archive does not yet exists it
is created.
The $p_filelist parameter can be an array of string, each string
representing a filename or a directory… |
|
Archive_Tar::add |
core/modules/system/system.tar.inc |
This method add the files / directories that are listed in $p_filelist in
the archive. If the archive does not exist it is created.
The method return false and a PEAR error text.
The files and directories listed are only added at the end of the… |
|
archiver_get_info |
core/includes/common.inc |
Retrieves a list of all available archivers. |
|
archiver_get_extensions |
core/includes/common.inc |
Returns a string of supported archive extensions. |
|
archiver_get_archiver |
core/includes/common.inc |
Creates the appropriate archiver for the specified file. |
|
ArchiverZip::__construct |
core/modules/system/system.archiver.inc |
Constructs a new archiver instance. |
|
ArchiverZip::remove |
core/modules/system/system.archiver.inc |
Removes the specified file from the archive. |
|
ArchiverZip::listContents |
core/modules/system/system.archiver.inc |
Lists all files in the archive. |
|
ArchiverZip::getArchive |
core/modules/system/system.archiver.inc |
Retrieve the zip engine itself. |
|
ArchiverZip::extract |
core/modules/system/system.archiver.inc |
Extracts multiple files in the archive to the specified path. |
|
ArchiverZip::add |
core/modules/system/system.archiver.inc |
Adds the specified file or directory to the archive. |
|
ArchiverTar::__construct |
core/modules/system/system.archiver.inc |
Constructs a new archiver instance. |
|
ArchiverTar::remove |
core/modules/system/system.archiver.inc |
Removes the specified file from the archive. |
|
ArchiverTar::listContents |
core/modules/system/system.archiver.inc |
Lists all files in the archive. |
|
ArchiverTar::getArchive |
core/modules/system/system.archiver.inc |
Retrieve the tar engine itself. |
|
ArchiverTar::extract |
core/modules/system/system.archiver.inc |
Extracts multiple files in the archive to the specified path. |
|
ArchiverTar::add |
core/modules/system/system.archiver.inc |
Adds the specified file or directory to the archive. |
|
ArchiverInterface::__construct |
core/includes/archiver.inc |
Constructs a new archiver instance. |
|
ArchiverInterface::remove |
core/includes/archiver.inc |
Removes the specified file from the archive. |
|
ArchiverInterface::listContents |
core/includes/archiver.inc |
Lists all files in the archive. |
|
ArchiverInterface::extract |
core/includes/archiver.inc |
Extracts multiple files in the archive to the specified path. |
|
ArchiverInterface::add |
core/includes/archiver.inc |
Adds the specified file or directory to the archive. |
|
AnonymousUser::__construct |
core/includes/anonymous.inc |
Constructor for an anonymous user object. |
|
AnonymousUser::uri |
core/includes/anonymous.inc |
Provides the anonymous user URI for consistency with User entities. |
|
AnonymousUser::label |
core/includes/anonymous.inc |
Provides the anonymous user name for consistency with User entities. |
|
AnonymousUser::id |
core/includes/anonymous.inc |
Provides the UID for consistency with User entities. |
|
AnonymousUser::createAccess |
core/includes/anonymous.inc |
Provides anonymous user createAccess for consistency with User entities. |
|
AnonymousUser::access |
core/includes/anonymous.inc |
Provides anonymous user access for consistency with User entities. |
|
ajax_test_system_theme_info |
core/modules/simpletest/tests/ajax_test.module |
Implements hook_system_theme_info(). |
|
ajax_test_render |
core/modules/simpletest/tests/ajax_test.module |
Menu callback; Return an element suitable for use by ajax_deliver(). |
|
ajax_test_menu |
core/modules/simpletest/tests/ajax_test.module |
Implements hook_menu(). |
|
ajax_test_error |
core/modules/simpletest/tests/ajax_test.module |
Menu callback; Returns Ajax element with #error property set. |
|
ajax_test_dialog_form_submit |
core/modules/simpletest/tests/ajax_test.module |
Non-AJAX behavior of the dialog buttons. |
|
ajax_test_dialog_form_callback_nonmodal |
core/modules/simpletest/tests/ajax_test.module |
AJAX callback handler for ajax_test_dialog_form(). |
|
ajax_test_dialog_form_callback_modal |
core/modules/simpletest/tests/ajax_test.module |
AJAX callback handler for ajax_test_dialog_form(). |
|
ajax_test_dialog_form |
core/modules/simpletest/tests/ajax_test.module |
Form builder: Renders buttons with #ajax['dialog']. |
|
ajax_test_dialog_contents |
core/modules/simpletest/tests/ajax_test.module |
Menu callback: Returns the contents for dialogs opened by ajax_test_dialog(). |
|
ajax_test_dialog_close |
core/modules/simpletest/tests/ajax_test.module |
Menu callback: Close the ajax dialog. |
|
ajax_test_dialog |
core/modules/simpletest/tests/ajax_test.module |
Menu callback: Renders a form elements and links with #ajax['dialog']. |
|
ajax_set_verification_header |
core/includes/ajax.inc |
Sets a response header for ajax.js to trust the response body. |
|
ajax_render |
core/includes/ajax.inc |
Renders a commands array into JSON. |
|
ajax_process_form |
core/includes/ajax.inc |
Form element processing handler for the #ajax form property. |
|
ajax_pre_render_element |
core/includes/ajax.inc |
Adds Ajax information about an element to communicate with JavaScript. |
|
ajax_prepare_response |
core/includes/ajax.inc |
Converts the return value of a page callback into an Ajax commands array. |
|
ajax_link_response |
modules/examples/ajax_example/ajax_example_misc.inc |
Callback for link example. |
|
ajax_get_form |
core/includes/ajax.inc |
Gets a form submitted via #ajax during an Ajax callback. |
|
ajax_form_callback |
core/includes/ajax.inc |
Page callback: Handles Ajax requests for the #ajax Form API property. |
|
ajax_forms_test_validation_form_submit |
core/modules/simpletest/tests/ajax_forms_test.module |
Submit handler for the validation form. |
|
ajax_forms_test_validation_form_callback |
core/modules/simpletest/tests/ajax_forms_test.module |
Ajax callback for the 'driver_text' element of the validation form. |
|
ajax_forms_test_validation_form |
core/modules/simpletest/tests/ajax_forms_test.module |
This form and its related submit and callback functions demonstrate
not validating another form element when a single Ajax element is triggered. |